<?php

declare(strict_types=1);

namespace App\Entity\Message;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * TODO: documenter.
 */
#[ApiResource(operations: [])]
#[ORM\Entity]
#[ORM\Table(name: 'ReportMessage')]
// #[Auditable]
class ReportEmail extends AbstractReport
{
    #[ORM\ManyToOne(inversedBy: 'reports')]
    #[ORM\JoinColumn('message_id')]
    private ?Email $email = null;

    #[ORM\Column(length: 255)]
    private string $addressEmail;

    public function getEmail(): ?Email
    {
        return $this->email;
    }

    public function setEmail(?Email $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getAddressEmail(): ?string
    {
        return $this->addressEmail;
    }

    public function setAddressEmail(?string $addressEmail): self
    {
        $this->addressEmail = $addressEmail;

        return $this;
    }
}
